model Force
    extends Maplesoft.Icons.CustomComponent;
    parameter Real ReleaseAngle = -0.5 * Modelica.Constants.pi "ReleaseAngle";
protected
    Real inFy;
    Real inFz;
    Real Fx;
    Real Fy;
    Real Fz;
    Real inAngle;
    Real inFx;
public
    Modelica.Blocks.Interfaces.RealInput inFy0 annotation (Placement(transformation(
        extent = {
            {-110, -9}, 
            {-90, 11}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput Fx0 annotation (Placement(transformation(
        extent = {
            {90, 44}, 
            {110, 64}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealInput inFx0 annotation (Placement(transformation(
        extent = {
            {-110, 39}, 
            {-90, 59}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealInput inFz0 annotation (Placement(transformation(
        extent = {
            {-110, -56}, 
            {-90, -36}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput Fy0 annotation (Placement(transformation(
        extent = {
            {90, -4}, 
            {110, 16}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput Fz0 annotation (Placement(transformation(
        extent = {
            {90, -48}, 
            {110, -28}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealInput inAngle0 annotation (Placement(transformation(
        extent = {
            {-10, -110}, 
            {10, -90}},
        rotation = 0)));
equation
    Fx = if ReleaseAngle < inAngle and time < 0.5 then inFx else 0;
    Fy = if ReleaseAngle < inAngle and time < 0.5 then inFy else 0;
    Fz = if ReleaseAngle < inAngle and time < 0.5 then inFz else 0;
    Fx0 = Fx;
    Fy0 = Fy;
    Fz0 = Fz;
    inAngle0 = inAngle;
    inFx0 = inFx;
    inFy0 = inFy;
    inFz0 = inFz;
    annotation (uses(Modelica(version = "3.1")));
end Force;