model GroundContact
    extends Maplesoft.Icons.CustomComponent;
    parameter Real Ks = 1000 "Ks";
    parameter Real Kd = 10 "Kd";
protected
    Real Fz;
    Real z;
public
    Modelica.Blocks.Interfaces.RealInput z0 annotation (Placement(transformation(
        extent = {
            {-110, -5}, 
            {-90, 15}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput Fz0 annotation (Placement(transformation(
        extent = {
            {90, -5}, 
            {110, 15}},
        rotation = 0)));
equation
    Fz = if z < 0 then -Ks * z - Kd * der(z) else 0;
    Fz0 = Fz;
    z0 = z;
    annotation (uses(Modelica(version = "3.1")));
end GroundContact;